<?php
/*
	Stempora Web Framework
	Copyright (c) 2002-2014 Stempora. 
	All rights reserved.
		web:  www.stempora.com
		mail: support@stempora.com				
*/


// dependencies

/**
* description
*
* @library	
* @author	
* @since	
*/
class CUSP extends CPlugin{
	
	var $tplvars; 

	function CUSP() {
		//$this->CPlugin($db, $tables , $templates);
	}

	function DoEvents(){
		global $base, $_CONF, $_TSM , $_VARS , $_USER , $_BASE , $_SESS;

		parent::DoEvents();

		if ($_GET["mod"] == "usp") {
			$sub = $_GET["sub"];
			$action = $_GET["action"];

			//read the module

			//read the module
			$this->tpl_module = $this->module->plugins["modules"]->LoadDefaultModule("usp");
			
			switch ($sub) {
				case "landing":
					
					$data = new CSQLAdmin($sub, $this->__parent_templates,$this->db,$this->tables,$extra);
					$this->PrepareFields($data->forms["forms"]);
					return $data->DoEvents();
				break;
			}
		}
	}



	
	/**
	* description
	*
	* @param
	*
	* @return
	*
	* @access
	*/

	
	function adminGetWidgets($module) {

		$this->tpl_module = $this->module->plugins["modules"]->LoadDefaultModule("usp");

		$widgets = array(
			array(
				"type"				=> "1",
				"name"				=> "USP",
				"module_name"		=> $module["module_name"],
				"module"			=> $module["module_id"],
				"module_type"		=> "2",
			),
		);

		return $widgets;

	}



}

?>